summaryrefslogtreecommitdiffstats
path: root/libraries/webkitgtk3
diff options
context:
space:
mode:
author dsomero2012-09-27 13:03:17 +0200
committer Robby Workman2012-09-29 04:25:52 +0200
commitab754049d78a9e7b0c33aa5b871f9dd21282d305 (patch)
treec0d6545fa9dc6b36a9d429838f749720854f8f4f /libraries/webkitgtk3
parent50b5afdab4ae4d609a05840e9ee6fc471d83c612 (diff)
downloadslackbuilds-ab754049d78a9e7b0c33aa5b871f9dd21282d305.tar.gz
libraries/webkitgtk3: Added (webkit with gtk3 & webkit2 interfaces)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'libraries/webkitgtk3')
-rw-r--r--libraries/webkitgtk3/README9
-rw-r--r--libraries/webkitgtk3/slack-desc19
-rw-r--r--libraries/webkitgtk3/webkitgtk3.SlackBuild106
-rw-r--r--libraries/webkitgtk3/webkitgtk3.info10
4 files changed, 144 insertions, 0 deletions
diff --git a/libraries/webkitgtk3/README b/libraries/webkitgtk3/README
new file mode 100644
index 0000000000..e42539ee32
--- /dev/null
+++ b/libraries/webkitgtk3/README
@@ -0,0 +1,9 @@
+WebKitGTK+ is the port of the portable web rendering engine WebKit
+to the GTK+ platform.
+
+This builds the GTK3 and webkit2 interface. It can be installed
+alongside webkitgtk - the only files that are in both packages
+are /usr/share/gtk-doc/html/webkitgtk/; as long as both webkitgtk
+and webkitgtk3 are the same version, the html docs are identical.
+
+geoclue (to enable support for geolocation) is an optional dep.
diff --git a/libraries/webkitgtk3/slack-desc b/libraries/webkitgtk3/slack-desc
new file mode 100644
index 0000000000..41669d8a97
--- /dev/null
+++ b/libraries/webkitgtk3/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+webkitgtk3: WebKitGTK+ (GTK+ port of the WebKit)
+webkitgtk3:
+webkitgtk3: WebKit/GTK+ is the new GTK+ port of the WebKit, an open-source web
+webkitgtk3: content engine that powers numerous applications such as web
+webkitgtk3: browsers, email clients, feed readers, web and text editors, and a
+webkitgtk3: whole lot more.
+webkitgtk3:
+webkitgtk3: This builds the GTK3 interface.
+webkitgtk3:
+webkitgtk3: http://webkitgtk.org/
+webkitgtk3:
diff --git a/libraries/webkitgtk3/webkitgtk3.SlackBuild b/libraries/webkitgtk3/webkitgtk3.SlackBuild
new file mode 100644
index 0000000000..58ac93465f
--- /dev/null
+++ b/libraries/webkitgtk3/webkitgtk3.SlackBuild
@@ -0,0 +1,106 @@
+#!/bin/sh
+
+# Slackware build script for WebKitGTK+ GTK3 interface.
+# Derived from the webkitgtk build by David Somero
+
+# Copyright 2010-2012 Erik W. Hanson, Minneapolis, MN, USA
+# Copyright 2012 David Somero (dsomero@hotmail.com) Athens, TN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+PRGNAM=webkitgtk3
+VERSION=${VERSION:-1.8.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM=webkit
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.?z*
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Check if geoclue is there
+if pkg-config --exists geoclue ; then GEOCLUE="yes" ; else GEOCLUE="no" ; fi
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-static \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --with-font-backend=pango \
+ --with-gtk=3.0 \
+ --enable-introspection \
+ --enable-webkit2 \
+ --enable-geolocation=$GEOCLUE \
+ --build=$ARCH-slackware-linux
+
+make clean
+make -j1 Programs_DumpRenderTree_LDFLAGS="-no-fast-install -no-install -lfontconfig"
+make install-strip DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ChangeLog INSTALL NEWS README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/webkitgtk3/webkitgtk3.info b/libraries/webkitgtk3/webkitgtk3.info
new file mode 100644
index 0000000000..2ad8ba7dfd
--- /dev/null
+++ b/libraries/webkitgtk3/webkitgtk3.info
@@ -0,0 +1,10 @@
+PRGNAM="webkitgtk3"
+VERSION="1.8.3"
+HOMEPAGE="http://webkitgtk.org/"
+DOWNLOAD="http://www.webkitgtk.org/releases/webkit-1.8.3.tar.xz"
+MD5SUM="dcbf9d5e2e6391f857c29a57528b32a6"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="David Somero"
+EMAIL="dsomero@hotmail.com"